Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.wrapper
Class WrapperMain

    java.lang.Object
      org.gradle.wrapper.WrapperMain

    public class WrapperMain

extends java.lang.Object

Field Summary
`static java.lang.String` | `ALWAYS_DOWNLOAD_ENV`
`static java.lang.String` | `ALWAYS_UNPACK_ENV`
`static java.lang.String` | `DEBUG_PROPERTY_KEY`
`static java.lang.String` | `DEFAULT_GRADLE_USER_HOME`
`static java.lang.String` | `GRADLE_USER_HOME_ENV_KEY`
`static java.lang.String` | `GRADLE_USER_HOME_PROPERTY_KEY`
`static java.lang.String` | `WRAPPER_DEBUG_ENV`

Constructor Summary
`WrapperMain()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRAPPER_DEBUG_ENV

    public static final java.lang.String WRAPPER_DEBUG_ENV

See Also:
  Constant Field Values

### ALWAYS_UNPACK_ENV

    public static final java.lang.String ALWAYS_UNPACK_ENV

See Also:
  Constant Field Values

### ALWAYS_DOWNLOAD_ENV

    public static final java.lang.String ALWAYS_DOWNLOAD_ENV

See Also:
  Constant Field Values

### DEFAULT_GRADLE_USER_HOME

    public static final java.lang.String DEFAULT_GRADLE_USER_HOME

### GRADLE_USER_HOME_PROPERTY_KEY

    public static final java.lang.String GRADLE_USER_HOME_PROPERTY_KEY

See Also:
  Constant Field Values

### GRADLE_USER_HOME_ENV_KEY

    public static final java.lang.String GRADLE_USER_HOME_ENV_KEY

See Also:
  Constant Field Values

### DEBUG_PROPERTY_KEY

    public static final java.lang.String DEBUG_PROPERTY_KEY

See Also:
  Constant Field Values

Constructor Detail

### WrapperMain

    public WrapperMain()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD